"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
/**
 * filter the packages by checking if they have any changed files. This way is quicker
 * (mapping over packages) because package count is usually lower than changed files count
 * and we only need to check once per package.
 */
exports.filterChangedPackages = (files, pkgPaths, workspacePath) => {
    return Object.keys(pkgPaths).filter(pkg => {
        const pkgPath = pkgPaths[pkg];
        const p = path.join(workspacePath, pkgPath);
        return files.some(f => f.startsWith(p));
    });
};
//# sourceMappingURL=filter-changed-packages.js.map